%define lib_major 3
%define libname %mklibname %{name} %{lib_major}
%define libnamedev %mklibname %{name} -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:    Metacity window manager
Name:       metacity
Version:    3.42.0
Release:    %mkrel 1
License:    GPLv2+
Group:      Graphical desktop/MATE
URL:        https://wiki.gnome.org/Metacity
Source0:    https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(pangoxft)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xrandr)
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: yelp-tools
BuildRequires: zenity
Requires:   zenity

%description
Metacity is a window manager for the GNOME Desktop.

%package devel
Summary:        Libraries and include files with Metacity
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with Metacity.


%prep
%setup -q

%build
%configure2_5x --disable-static \
               --disable-schemas-compile
%make_build

%install
%make_install

%find_lang %{name} --with-gnome --all-name

find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/gnome-control-center/keybindings/50-metacity*.xml
%{_datadir}/applications/metacity.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.keybindings.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.theme.gschema.xml
%{_mandir}/man1/*
%{_libdir}/lib%{name}.so.%{lib_major}*

%files devel
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/lib%{name}.pc

%post
/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%changelog
* Wed Jan 12 2022 tex - 3.42.0-1pclos2022
- new version

* Fri Apr 02 2021 tex - 3.40.0-1pclos2021
- new version

* Tue Oct 20 2020 tex - 3.38.0-1pclos2020
- new version

* Fri Mar 27 2020 tex - 3.36.1-1pclos2020
- new version

* Sat Mar 07 2020 tex - 3.36.0-1pclos2020
- new version

* Mon Oct 07 2019 tex - 3.34.1-1pclos2019
- new version

* Tue Sep 10 2019 tex - 3.34.0-1pclos2019
- new version 3.34.0
